AuthenticationFilterInitializer (Hadoop 0.20.2-cdh3u3 API)
Date: 2012-03-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security
Class AuthenticationFilterInitializer

    java.lang.Object
      org.apache.hadoop.http.FilterInitializer
          org.apache.hadoop.security.AuthenticationFilterInitializer

    public class AuthenticationFilterInitializer

extends FilterInitializer

Initializes Alfredo AuthenticationFilter which provides support for Kerberos HTTP SPENGO authentication.

It enables anonymous access, simple/speudo and Kerberos HTTP SPNEGO authentication for Hadoop JobTracker, NameNode, DataNodes and TaskTrackers.

Refer to the `core-default.xml` file, after the comment 'HTTP Authentication' for details on the configuration options. All related configuration properties have 'hadoop.http.authentication.' as prefix.

Constructor Summary
`AuthenticationFilterInitializer()`

Method Summary
`void` | `initFilter(FilterContainer container, Configuration conf)` Initializes Alfredo AuthenticationFilter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationFilterInitializer

    public AuthenticationFilterInitializer()

Method Detail

### initFilter

    public void initFilter(FilterContainer container,
                           Configuration conf)

  Initializes Alfredo AuthenticationFilter.

  Propagates to Alfredo AuthenticationFilter configuration all Hadoop configuration properties prefixed with "hadoop.http.authentication."

  Specified by:
    `initFilter` in class `FilterInitializer`
  Parameters:
    `container` - The filter container
    `conf` - Configuration for run-time parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation